# List webhooks

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/webhooks`

This endpoint allows you to list all existing webhooks.

### Headers

<table><thead><tr><th width="245">Name</th><th width="102">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Query parameters

<table><thead><tr><th width="246">Name</th><th width="101">Type</th><th>Description</th></tr></thead><tbody><tr><td>&#x3C;pagination></td><td>string</td><td>The number of items to return and the number of pages to offset.</td></tr><tr><td>&#x3C;filtering></td><td>string</td><td>Filter the results.</td></tr></tbody></table>

{% hint style="info" %}
You can use [pagination](/documentation/api-reference/pagination.md) and [webhook filters](/documentation/api-reference/other-resources/webhooks/filtering-webhooks.md) for this endpoint.
{% endhint %}

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/webhooks \
     -H 'Authorization: <YOUR_API_KEY>' 
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const webhooks = await complycube.webhook.list();
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

webhooks = cc_api.webhooks.list()
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$webhooks = $ccapi->webhooks()->list();
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.Webhooks;

var webhookApi = new WebhookApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var webhooks = await webhookApi.ListAsync();
```

{% endtab %}
{% endtabs %}

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "page": 1,
    "pageSize": 100,
    "totalItems": 1,
    "pages": 1,
    "items": [
        {
          "id": "5ed1712e99c81a0007b9a3d6",
          "description": "Updated description",
          "url": "https://example.com/my/webhook/endpoint",
          "enabled": true,
          "events": [
            "check.pending",
            "check.completed"
          ],
          "createdAt": "2020-01-29T20:31:42.375Z",
          "updatedAt": "2020-01-29T20:32:22.000Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/other-resources/webhooks/list-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
